Package org.eclipse.birt.report.engine.content

# Interface IContent

All Superinterfaces:
  `org.eclipse.birt.report.engine.css.engine.CSSStylableElement`, `IElement`, `IStyledElement`

All Known Subinterfaces:
  `IAutoTextContent`, `IBandContent`, `ICellContent`, `IContainerContent`, `IDataContent`, `IForeignContent`, `IGroupContent`, `IImageContent`, `ILabelContent`, `IListBandContent`, `IListContent`, `IListGroupContent`, `IPageContent`, `IRowContent`, `ITableBandContent`, `ITableContent`, `ITableGroupContent`, `ITextContent`

public interface IContent extends IElement, org.eclipse.birt.report.engine.css.engine.CSSStylableElement, IStyledElement
object created by report generator. the content of report document.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AUTOTEXT_CONTENT`
property: auto text content key
`static final int`
`CELL_CONTENT`
property: cell content key
`static final int`
`CONTAINER_CONTENT`
property: container content key
`static final int`
`DATA_CONTENT`
property: data content key
`static final int`
`DOCUMENT_EXTENSION`
property: document extension
`static final int`
`FOREIGN_CONTENT`
property: foreign content key
`static final int`
`GROUP_CONTENT`
property: group content key
`static final int`
`IMAGE_CONTENT`
property: image content key
`static final int`
`LABEL_CONTENT`
property: label content key
`static final int`
`LAYOUT_EXTENSION`
property: layout extension
`static final int`
`LIST_BAND_CONTENT`
property: list band content key
`static final int`
`LIST_CONTENT`
property: list content key
`static final int`
`LIST_GROUP_CONTENT`
property: list group content key
`static final int`
`PAGE_CONTENT`
property: page content key
`static final int`
`REPORT_CONTENT`
property: report content key
`static final int`
`ROW_CONTENT`
property: row content key
`static final int`
`SERIALIZE_CONTENT`
property: serialize content key
`static final int`
`TABLE_BAND_CONTENT`
property: table band content key
`static final int`
`TABLE_CONTENT`
property: table content key
`static final int`
`TABLE_GROUP_CONTENT`
property: table group content key
`static final int`
`TEXT_CONTENT`
property: text content key

## Method Summary

Modifier and Type
Method
Description
`Object`
`accept(IContentVisitor visitor, Object value)`
Use visitor to process the object.
`IContent`
`cloneContent(boolean isDeep)`
Clone the content
`String`
`getACL()`
Get ACL
`String`
`getAltText()`
Get the alternative text
`String`
`getAltTextKey()`
Get the alternative text key
`String`
`getBookmark()`
Get the bookmark
`int`
`getContentType()`
the content type, must be one of the predefines.
`Object`
`getExtension(int extension)`
Get the extension
`Map<String,Object>`
`getExtensions()`
Get the extensions
`Object`
`getGenerateBy()`
Get the design object which create this content.
`org.eclipse.birt.report.engine.ir.DimensionType`
`getHeight()`
Get the specified value, the actual height is defined in IBounds
`String`
`getHelpText()`
Get the help text
`IHyperlinkAction`
`getHyperlinkAction()`
Get the hyperlink action
`IStyle`
`getInlineStyle()`
Get the inline style
`InstanceID`
`getInstanceID()`
get the instance id of the content.
`String`
`getName()`
Get the name.
`IReportContent`
`getReportContent()`
Get the report which contains/create this content.
`IBaseResultSet`
`getResultSet()`
Get the result set
`String`
`getTagType()`
`Object`
`getTOC()`
Get the table of content
`Map<String,Object>`
`getUserProperties()`
Get user properties
`org.eclipse.birt.report.engine.ir.DimensionType`
`getWidth()`
specified value, the real value is defined in IBounds
`org.eclipse.birt.report.engine.ir.DimensionType`
`getX()`
Get the specified value, the real value is defined in IBounds
`org.eclipse.birt.report.engine.ir.DimensionType`
`getY()`
Get the specified value, the real value is defined in IBounds
`boolean`
`hasChildren()`
Has children
`boolean`
`isDirectionRTL()`
Is direction RTL
`boolean`
`isLastChild()`
Check is last child
`boolean`
`isRTL()`
Is RTL used
`void`
`readContent(DataInputStream in, ClassLoader loader)`
Read the content
`void`
`setACL(String acl)`
Set the ACL
`void`
`setAltText(String altText)`
Set the alternative text
`void`
`setAltTextKey(String altTextKey)`
Set the alternative text key
`void`
`setBookmark(String bookmark)`
Set the bookmark
`void`
`setExtension(int extension, Object value)`
Set the extension of the content.
`void`
`setExtensions(Map<String,Object> values)`
Set the extensions
`void`
`setGenerateBy(Object generateBy)`
Set the generated by object
`void`
`setHasChildren(boolean hasChildren)`
Set has children
`void`
`setHeight(org.eclipse.birt.report.engine.ir.DimensionType height)`
Set the element height
`void`
`setHelpText(String help)`
Set the help text
`void`
`setHyperlinkAction(IHyperlinkAction hyperlink)`
Set the hyperlink action
`void`
`setInlineStyle(IStyle style)`
Set the inline style
`void`
`setInstanceID(InstanceID id)`
set the instace id of the content.
`void`
`setLastChild(boolean isLastChild)`
Set is last child
`void`
`setName(String name)`
Set the name
`void`
`setReportContent(IReportContent report)`
Set the report content.
`void`
`setTagType(String tagType)`
Set the PDF tag type
`void`
`setTOC(Object toc)`
Get the table of content
`void`
`setUserProperties(Map<String,Object> values)`
Set the user properties
`void`
`setWidth(org.eclipse.birt.report.engine.ir.DimensionType width)`
Set the element width
`void`
`setX(org.eclipse.birt.report.engine.ir.DimensionType x)`
Set the x position of the report item
`void`
`setY(org.eclipse.birt.report.engine.ir.DimensionType y)`
Set the y position of the report item
`void`
`writeContent(DataOutputStream out)`
Write the content

### Methods inherited from interface org.eclipse.birt.report.engine.css.engine.CSSStylableElement

`getComputedStyle, getCSSEngine, getStyle`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IElement

`getChildren, getParent, setParent`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement

`getComputedStyle, getStyle, getStyleClass, setStyleClass`

## Field Details

### SERIALIZE_CONTENT

static final int SERIALIZE_CONTENT
property: serialize content key

See Also:
  - Constant Field Values

### REPORT_CONTENT

static final int REPORT_CONTENT
property: report content key

See Also:
  - Constant Field Values

### CELL_CONTENT

static final int CELL_CONTENT
property: cell content key

See Also:
  - Constant Field Values

### CONTAINER_CONTENT

static final int CONTAINER_CONTENT
property: container content key

See Also:
  - Constant Field Values

### DATA_CONTENT

static final int DATA_CONTENT
property: data content key

See Also:
  - Constant Field Values

### FOREIGN_CONTENT

static final int FOREIGN_CONTENT
property: foreign content key

See Also:
  - Constant Field Values

### IMAGE_CONTENT

static final int IMAGE_CONTENT
property: image content key

See Also:
  - Constant Field Values

### LABEL_CONTENT

static final int LABEL_CONTENT
property: label content key

See Also:
  - Constant Field Values

### PAGE_CONTENT

static final int PAGE_CONTENT
property: page content key

See Also:
  - Constant Field Values

### ROW_CONTENT

static final int ROW_CONTENT
property: row content key

See Also:
  - Constant Field Values

### TABLE_BAND_CONTENT

static final int TABLE_BAND_CONTENT
property: table band content key

See Also:
  - Constant Field Values

### TABLE_CONTENT

static final int TABLE_CONTENT
property: table content key

See Also:
  - Constant Field Values

### TEXT_CONTENT

static final int TEXT_CONTENT
property: text content key

See Also:
  - Constant Field Values

### AUTOTEXT_CONTENT

static final int AUTOTEXT_CONTENT
property: auto text content key

See Also:
  - Constant Field Values

### LIST_CONTENT

static final int LIST_CONTENT
property: list content key

See Also:
  - Constant Field Values

### LIST_BAND_CONTENT

static final int LIST_BAND_CONTENT
property: list band content key

See Also:
  - Constant Field Values

### GROUP_CONTENT

static final int GROUP_CONTENT
property: group content key

See Also:
  - Constant Field Values

### LIST_GROUP_CONTENT

static final int LIST_GROUP_CONTENT
property: list group content key

See Also:
  - Constant Field Values

### TABLE_GROUP_CONTENT

static final int TABLE_GROUP_CONTENT
property: table group content key

See Also:
  - Constant Field Values

### DOCUMENT_EXTENSION

static final int DOCUMENT_EXTENSION
property: document extension

See Also:
  - Constant Field Values

### LAYOUT_EXTENSION

static final int LAYOUT_EXTENSION
property: layout extension

See Also:
  - Constant Field Values

## Method Details

### getContentType

int getContentType()
the content type, must be one of the predefines.

Returns:
  content type

### getInstanceID

InstanceID getInstanceID()
get the instance id of the content. the instance id is the unique id of the content.

Returns:
  instance id

### setInstanceID

void setInstanceID(InstanceID id)
set the instace id of the content. the instance id can only be set by the content generator.

Parameters:
  `id` -

### getExtension

Object getExtension(int extension)
Get the extension

Parameters:
  `extension` -
Returns:
  extension

### setExtension

void setExtension(int extension, Object value)
Set the extension of the content. Only 2 extension supported so far
0: document extension
1: layout extension

Parameters:
  `extension` - extension type
  `value` - extension value
Throws:
  `ArrayIndexOutOfBoundsException` - if index is out of range {0,1}

- ### getReportContent

  IReportContent getReportContent()
  Get the report which contains/create this content.
  Returns:
    report the report which contains/create this content.

- ### setReportContent

  void setReportContent(IReportContent report)
  Set the report content.
  Parameters:
    `report` - report content

- ### getName

  String getName()
  Get the name.
  Returns:
    name

- ### setName

  void setName(String name)
  Set the name
  Parameters:
    `name` -

- ### getGenerateBy

  Object getGenerateBy()
  Get the design object which create this content.
  Returns:
    the design object which create this content.

- ### setGenerateBy

  void setGenerateBy(Object generateBy)
  Set the generated by object
  Parameters:
    `generateBy` - generated by

- ### getInlineStyle

  IStyle getInlineStyle()
  Get the inline style
  Returns:
    the inline style

- ### setInlineStyle

  void setInlineStyle(IStyle style)
  Set the inline style
  Parameters:
    `style` - inline style

- ### accept

  Object accept(IContentVisitor visitor, Object value) throws org.eclipse.birt.core.exception.BirtException
  Use visitor to process the object.
  Parameters:
    `visitor` - content visitor
    `value` -
  Returns:
    processed object
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

- ### getBookmark

  String getBookmark()
  Get the bookmark
  Returns:
    the bookmark value

- ### setBookmark

  void setBookmark(String bookmark)
  Set the bookmark
  Parameters:
    `bookmark` - element bookmark

- ### getHyperlinkAction

  IHyperlinkAction getHyperlinkAction()
  Get the hyperlink action
  Returns:
    hyperlink actions

- ### setHyperlinkAction

  void setHyperlinkAction(IHyperlinkAction hyperlink)
  Set the hyperlink action
  Parameters:
    `hyperlink` - hyperlink action

- ### getAltText

  String getAltText()
  Get the alternative text
  Returns:
    the alternative text.

- ### setAltText

  void setAltText(String altText)
  Set the alternative text
  Parameters:
    `altText` - alternative text

- ### getAltTextKey

  String getAltTextKey()
  Get the alternative text key
  Returns:
    the alternative text key

- ### setAltTextKey

  void setAltTextKey(String altTextKey)
  Set the alternative text key
  Parameters:
    `altTextKey` - alternative text key

- ### getHelpText

  String getHelpText()
  Get the help text
  Returns:
    the help text

- ### setHelpText

  void setHelpText(String help)
  Set the help text
  Parameters:
    `help` - help text

- ### getHeight

  org.eclipse.birt.report.engine.ir.DimensionType getHeight()
  Get the specified value, the actual height is defined in IBounds
  Returns:
    the height of the report item

- ### setHeight

  void setHeight(org.eclipse.birt.report.engine.ir.DimensionType height)
  Set the element height
  Parameters:
    `height` - element height

- ### getWidth

  org.eclipse.birt.report.engine.ir.DimensionType getWidth()
  specified value, the real value is defined in IBounds
  Returns:
    the width of the report item

- ### setWidth

  void setWidth(org.eclipse.birt.report.engine.ir.DimensionType width)
  Set the element width
  Parameters:
    `width` - element width

- ### getX

  org.eclipse.birt.report.engine.ir.DimensionType getX()
  Get the specified value, the real value is defined in IBounds
  Returns:
    the x position of the report item

- ### setX

  void setX(org.eclipse.birt.report.engine.ir.DimensionType x)
  Set the x position of the report item
  Parameters:
    `x` - x position of the report item

- ### getY

  org.eclipse.birt.report.engine.ir.DimensionType getY()
  Get the specified value, the real value is defined in IBounds
  Returns:
    the y position of the report item

- ### setY

  void setY(org.eclipse.birt.report.engine.ir.DimensionType y)
  Set the y position of the report item
  Parameters:
    `y` - y position of the report item

- ### getTOC

  Object getTOC()
  Get the table of content
  Returns:
    table of content

- ### setTOC

  void setTOC(Object toc)
  Get the table of content
  Parameters:
    `toc` - table of content

- ### writeContent

  void writeContent(DataOutputStream out) throws IOException
  Write the content
  Parameters:
    `out` - data output sream
  Throws:
    `IOException`

- ### readContent

  void readContent(DataInputStream in, ClassLoader loader) throws IOException
  Read the content
  Parameters:
    `in` - data input stream
    `loader` - class loader
  Throws:
    `IOException`

- ### cloneContent

  IContent cloneContent(boolean isDeep)
  Clone the content
  Parameters:
    `isDeep` - deep copy is used
  Returns:
    the cloned content

- ### isRTL

  boolean isRTL()
  Is RTL used
  Returns:
    is RTL used

- ### isDirectionRTL

  boolean isDirectionRTL()
  Is direction RTL
  Returns:
    is direction RTL

- ### getACL

  String getACL()
  Get ACL
  Returns:
    ACL

- ### setACL

  void setACL(String acl)
  Set the ACL
  Parameters:
    `acl` - ACL

- ### getResultSet

  IBaseResultSet getResultSet()
  Get the result set
  Returns:
    result set

- ### isLastChild

  boolean isLastChild()
  Check is last child
  Returns:
    is last child

- ### setLastChild

  void setLastChild(boolean isLastChild)
  Set is last child
  Parameters:
    `isLastChild` - is last child

- ### hasChildren

  boolean hasChildren()
  Has children
  Returns:
    has children

- ### setHasChildren

  void setHasChildren(boolean hasChildren)
  Set has children
  Parameters:
    `hasChildren` - has children

- ### getUserProperties

  Map<String,Object> getUserProperties()
  Get user properties
  Returns:
    user properties

- ### setUserProperties

  void setUserProperties(Map<String,Object> values)
  Set the user properties
  Parameters:
    `values` - user properties

- ### getExtensions

  Map<String,Object> getExtensions()
  Get the extensions
  Returns:
    extensions

- ### setExtensions

  void setExtensions(Map<String,Object> values)
  Set the extensions
  Parameters:
    `values` - extensions

- ### getTagType

  String getTagType()
  Returns:
    PDF tag type

- ### setTagType

  void setTagType(String tagType)
  Set the PDF tag type